Bug 189755 - Review Request: pypoker-eval - Python Interface to poker-eval
Review Request: pypoker-eval - Python Interface to poker-eval
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-24 09:03 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-12 14:03:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-04-24 09:03:02 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/pypoker-eval.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/pypoker-eval-131.0-2.src.rpm

** NOTE **  You may have to download the srpm from http://tkmame.retrogames.com/fedora-extras/

Description:
This package is python adaptor for the poker-eval toolkit for
writing programs which simulate or analyze poker games.
Comment 1 Jason Tibbitts 2006-05-09 13:53:52 EDT
I'm not a Python expert, but I promised on IRC that I'd take a look, so....

The only issue I see is the unversioned .so file.  If you have versioned
libraries, the unversioned link needs to live in the -devel package.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible; license text is included in the package.
* source files match upstream:
   2ec8a95a5d0880e99ad4695ec113b799  pypoker-eval-131.0.tar.gz
   2ec8a95a5d0880e99ad4695ec113b799  pypoker-eval-131.0.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
X shared libraries are present.  They are internal to python so there's no need
to run ldconfig, but the inversioned .so file needs to be moved to the devel
package.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* .pyo files are ghosted properly.
* file permissions are appropriate.
* %clean is present.
O %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* pkgconfig file is in the -devel package.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Jason Tibbitts 2006-05-11 13:41:15 EDT
Please ignore the fact that I completely missed the %check section.  The test
suite is not verbose about its passage, but it does pass just fine.
Comment 3 Christopher Stone 2006-05-12 10:01:42 EDT
I asked upstream about the library version number, and they mention that it is
the first version of the ABI.  When the ABI changes, the version number will be
bumped, so I think a version number of 0.0.0 is okay.
Comment 4 Jason Tibbitts 2006-05-12 10:06:59 EDT
I had no issues with the version number of the library.  It is the unversioned
.so file that must move to the -devel package.
Comment 5 Christopher Stone 2006-05-12 10:16:32 EDT
yea duh, I'm stupid, I misread the report.  Okay, I've fixed up the spec file
accordingly, but rpmlint now gives this warning:

W: pypoker-eval-devel dangling-relative-symlink
/usr/lib64/python2.4/site-packages/pypokereval.so pypokereval.so.0.0.0

New files can be found at:
Spec URL: http://tkmame.retrogames.com/fedora-extras/pypoker-eval.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/pypoker-eval-131.0-3.src.rpm

** NOTE **  You may have to download the srpm from
http://tkmame.retrogames.com/fedora-extras/
Comment 6 Jason Tibbitts 2006-05-12 11:02:27 EDT
rpmlint seems to be smart enough to not warn about dangling symlinks for .so
files in %{_libdir}, but within Python's directory I guess it doesn't know what
to do.

Anyway, the new package builds fine and ignoring the rpmlint false positive
everything is clean.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.